
From: Anton Blanchard <anton@samba.org>

- Make ioprio syscalls return long, like set/getpriority syscalls.
- Move function prototypes into syscalls.h so we can pick them up in the
  32/64bit compat code.

Signed-off-by: Anton Blanchard <anton@samba.org>
Acked-by: Jens Axboe <axboe@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/ioprio.c              |    4 ++--
 include/linux/ioprio.h   |    3 ---
 include/linux/syscalls.h |    3 +++
 3 files changed, 5 insertions(+), 5 deletions(-)

diff -puN fs/ioprio.c~move-ioprio-syscalls-into-syscallsh fs/ioprio.c
--- 25/fs/ioprio.c~move-ioprio-syscalls-into-syscallsh	Wed Jul  6 13:38:13 2005
+++ 25-akpm/fs/ioprio.c	Wed Jul  6 13:38:13 2005
@@ -43,7 +43,7 @@ static int set_task_ioprio(struct task_s
 	return 0;
 }
 
-asmlinkage int sys_ioprio_set(int which, int who, int ioprio)
+asmlinkage long sys_ioprio_set(int which, int who, int ioprio)
 {
 	int class = IOPRIO_PRIO_CLASS(ioprio);
 	int data = IOPRIO_PRIO_DATA(ioprio);
@@ -115,7 +115,7 @@ asmlinkage int sys_ioprio_set(int which,
 	return ret;
 }
 
-asmlinkage int sys_ioprio_get(int which, int who)
+asmlinkage long sys_ioprio_get(int which, int who)
 {
 	struct task_struct *g, *p;
 	struct user_struct *user;
diff -puN include/linux/ioprio.h~move-ioprio-syscalls-into-syscallsh include/linux/ioprio.h
--- 25/include/linux/ioprio.h~move-ioprio-syscalls-into-syscallsh	Wed Jul  6 13:38:13 2005
+++ 25-akpm/include/linux/ioprio.h	Wed Jul  6 13:38:13 2005
@@ -34,9 +34,6 @@ enum {
  */
 #define IOPRIO_BE_NR	(8)
 
-asmlinkage int sys_ioprio_set(int, int, int);
-asmlinkage int sys_ioprio_get(int, int);
-
 enum {
 	IOPRIO_WHO_PROCESS = 1,
 	IOPRIO_WHO_PGRP,
diff -puN include/linux/syscalls.h~move-ioprio-syscalls-into-syscallsh include/linux/syscalls.h
--- 25/include/linux/syscalls.h~move-ioprio-syscalls-into-syscallsh	Wed Jul  6 13:38:13 2005
+++ 25-akpm/include/linux/syscalls.h	Wed Jul  6 13:38:13 2005
@@ -506,4 +506,7 @@ asmlinkage long sys_request_key(const ch
 asmlinkage long sys_keyctl(int cmd, unsigned long arg2, unsigned long arg3,
 			   unsigned long arg4, unsigned long arg5);
 
+asmlinkage long sys_ioprio_set(int which, int who, int ioprio);
+asmlinkage long sys_ioprio_get(int which, int who);
+
 #endif
_
